#!/bin/bash

HOSTNAME=$1
DOMAINNAME=$2
FULLNAME=
if [ -z "$DOMAINNAME" ]  
then
	FULLNAME=`echo $HOSTNAME`
else
	FULLNAME=`echo $HOSTNAME"."$DOMAINNAME`
fi
HOSTINFO=`echo $FULLNAME $HOSTNAME`
cp /etc/hostname /etc/hostname.bak
echo $FULLNAME > /etc/hostname

cp /etc/hosts /etc/hosts.bak
cat > /etc/hosts << EOF
127.0.0.1 localhost
127.0.1.1 $HOSTINFO

# The following lines are desirable for IPv6 capable hosts
::1 ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts
EOF

/etc/init.d/hostname.sh start
exit 0
