#!/bin/bash

CURRENTPASSWORD=`awk -F ":" '{ if ($1 == "root") print $2  }' /etc/shadow`
ALGORITHM=${CURRENTPASSWORD:0:3}
if [[ "$ALGORITHM" != "\$1\$" ]]; 
then
echo "Unsupport algorithm"
exit 1
fi

SALT=${CURRENTPASSWORD:3:8}
if [[ -z $1 ]];
then
	echo "No password specified"
	exit 1
fi

CRYPTPASSWORD=`mkpasswd -S $SALT -H md5 "$1"`
if [ "$CRYPTPASSWORD" = "$CURRENTPASSWORD" ] ; then
	echo "Password Match"
	exit 0
else
	echo "Password No Match"
	exit 1
fi
