#!/bin/bash

set -e
exec 1>&2

COUNT=`fdisk -l | wc -l`

cleanup()
{
	for d in /media/*
	do
	    if [ -d "$d" ] ; then
		rm -rf $d/* 
	    fi
	done
	echo "Cleanup completed.";
}
if [ $COUNT != 0 ] ; then
	echo "Detected USB disks. Cleanup cannot be performed!";
	exit 1	
fi

cleanup
exit 0
