#!/bin/bash

if [[ $# -eq 0 ]] ;
then
echo "No name servers specified"
exit 1
fi

#Make a backup of existing resolv.conf
if [ -f /etc/resolv.conf ] ; then
        mv /etc/resolv.conf /etc/resolv.conf.bak
fi

#Enter the new values
if [ ! -z $1 ] ; then
	echo nameserver $1 > /etc/resolv.conf
fi

if [ ! -z $2 ] ; then
	echo nameserver $2 >> /etc/resolv.conf
fi

if [ ! -z $3 ] ; then
	echo nameserver $3 >> /etc/resolv.conf
fi

exit 0
