#!/bin/bash

if (( $# != 2 ))
then
echo "Usage: $0 <path> <allowed_percentage>"
exit 1
fi

INPATH=$1
INPERCENT=$((INPERCENT + $2 ))

if [[ ! -d $INPATH ]];
then
	echo "Invalid Path"
	exit 1
fi

CALPERCENT=`df -h $INPATH | awk 'NR==2{ printf("%d",$5) };'`
if (( $CALPERCENT <= $INPERCENT ))
then
	echo "In Limit"
	exit 0
else
	echo "Out Limit"
	exit 1
fi

