#!/bin/bash

cat << END
auto lo
iface lo inet loopback
auto eth0
iface eth0 inet $TYPE
END
if [ "$TYPE" = "dhcp" ] ; then
	return 0
fi
if [ ! -z "$IPADDR" ] ; then 
	echo address $IPADDR
fi

if [ ! -z "$NETMASK" ] ; then 
	echo netmask $NETMASK
fi

if [ ! -z "$BCAST" ] ; then 
	echo broadcast $BCAST
fi

if [ ! -z "$GATEWAY" ] ; then 
	echo gateway $GATEWAY
fi
