#!/bin/bash

NODISKADD=/tmp/nodiskadd.tmp

touch $NODISKADD
DIRNAME=`dirname $0`
echo "<disks>"

#Internal Disk
echo "<disk>"
echo "<diskno>"
echo 0
echo "</diskno>"
echo "<devicepath>"
echo "Internal Flash"
echo "</devicepath>"
echo "<size>"
df -h | grep rootfs | awk ' { print  "Used: "$3" of "$2 } '
echo "</size>"
echo "<unit></unit>"
echo "</disk>"

#External Disks
i=1
fdisk -l | awk '/^Disk \/dev/ {print $0}' | tr -d ':,' | while read d
do
dp="`echo $d | awk ' { print $2 }'`"
dev="`echo $dp | sed 's/.dev.//'`"
echo "<disk>"
echo "<diskno>"
echo $i 
echo "</diskno>"
echo "<devicepath>"
echo $dp 
echo "</devicepath>"
echo "<diskinfo>"
$DIRNAME/manageUSBDrives.sh diskmodel $dev
echo "</diskinfo>"
echo "<size>"
echo $d | awk ' { print $3 }'
echo "</size>"
echo "<unit>"
echo $d | awk ' { print $4 }'
echo "</unit>"
i=$(( $i+1 ))
echo "</disk>"
done
echo "</disks>"

sleep 1
rm -f $NODISKADD
