#!/bin/bash

to_html ()
{
CLASS=$1
ERR=`echo $2 | grep ":E:"`
if [ "$ERR" != "" ] ; then 
  CLASS="$CLASS err" 
fi
echo "<pre class=\"$CLASS\">"$2"</pre>"
}

if [ $# -lt 2 ] ; then
        exit 2
fi

ROWNO=er
LOGFILE=$1
NOOFROWS=$2

tail -n $NOOFROWS $LOGFILE | while read part
do
if [ "$ROWNO" = "er" ] ; then ROWNO=or
else ROWNO=er
fi
to_html $ROWNO "$part"
done
