#!/bin/sh

#Script for getting network information from the 
#tonido plug


echo "<network>"
echo "<information>"

#Get Host Name
echo "<hostname>"
HOSTNAME=`hostname -s`
echo $HOSTNAME
echo "</hostname>"

#Get Domain Name
echo "<domainname>"
DOMAINNAME=`hostname -d`
echo $DOMAINNAME
echo "</domainname>"

#Get Address Type
echo "<type>"
TYPE=`cat /etc/network/interfaces  | grep "iface eth0" | awk ' { print $4 } ' `
echo $TYPE
echo "</type>"

IPINFO=`ifconfig eth0 | grep inet `

if [ ! -z "$IPINFO" ] 
then
echo "<ip>"
ifconfig eth0 | grep inet | awk ' { print $2 } ' | cut -d: -f 2
echo "</ip>"
echo "<mask>"
ifconfig eth0 | grep inet | awk ' { print $4 } ' | cut -d: -f 2
echo "</mask>"
echo "<gw>"
route -n | grep eth0 |grep "^0.0.0.0" | awk ' { print $2 } '
echo "</gw>"
fi

i=0
for ns in `cat /etc/resolv.conf  | grep nameserver | awk ' { print $2 } '`
do
i=$(( $i+1 ))
echo "<ns"$i">"
echo $ns
echo "</ns"$i">"

done
echo "</information>"
echo "</network>"

