#!/bin/bash


# Wrapper script for getting a share definition
# information from smb.conf file

returnresult ()
{
cat << EOF
<shares>
        <share>
        <operation>INFO</operation>
        <success>$1</success>
        </share>
</shares>
EOF

}

if [  -z $1 ] ; then
	returnresult false
        exit 1
fi

#Is Valid Directory
if [ ! -d $1 ] ; then
   returnresult false
   exit
fi

BINDIR=`dirname $0`

$BINDIR/sambaShareControl.sh info $1 
if [ $? -eq 1 ] ; then
        returnresult false
        exit 1
fi
